#ifndef _errors_h
#define _errors_h

#define ERROR 		-1
#define FATAL 		-2
#define OK    		1

/* the following error codes are interpreted as indices into a table of 
   error messages */

#define ERR_NOERR       0		/* no error */
#define ERR_ERROR	ERR_NOERR + 1   /* ill. error number has been found */

#define ERR_MAX	 	ERR_ERROR + 1   /* maximum exceeded */
#define ERR_MIN		ERR_MAX + 1     /* minimum exceeded */

#define ERR_CLOSE       ERR_MIN + 1     /* error during close */
#define ERR_OPEN	ERR_CLOSE + 1   /* error during open */
#define ERR_READ	ERR_OPEN + 1    /* cannot read file */
#define ERR_WRITE	ERR_READ + 1    /* cannot write file */

#define ERR_VALUE	ERR_WRITE + 1   /* illegal value encountered */
#define ERR_TYPE        ERR_VALUE + 1   /* illegal type encountered */
#define ERR_SIZE        ERR_TYPE + 1    /* illegal size */

#define ERR_NULL        ERR_SIZE + 1    /* null pointer encountered */
#define ERR_ABORT       ERR_NULL + 1    /* function aborted */
#define ERR_ALLOC	ERR_ABORT + 1   /* cannot allocate storage */
#define ERR_CREATE      ERR_ALLOC + 1   /* cannot create */

#define ERR_NOEXIST	ERR_CREATE + 1  /* does not exist */
#define ERR_EXISTS      ERR_NOEXIST + 1 /* does already exist */

#define ERR_INIT        ERR_EXISTS + 1  /* error during initialize */
#define ERR_ACCESS      ERR_INIT + 1    /* specified access not allowed */

/***************************************************************************
 *
 *			external declarations 
 *
 **************************************************************************/

